package com.ss.android.ugc.aweme.follow.presenter;

import X.8Y4;
import X.C4778EmU;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import com.ss.android.ugc.aweme.comment.model.Comment;
import com.ss.android.ugc.aweme.feed.model.Aweme;
import com.ss.android.ugc.aweme.feed.model.live.RoomFeedCellStruct;
import com.ss.android.ugc.aweme.profile.model.User;
import java.util.ArrayList;
import java.util.List;

public class FollowFeed extends C4778EmU {
    @c(LIZ = "aweme")
    public Aweme aweme;
    public long blockFavoriteTime;
    @c(LIZ = "comment_list")
    public List<Comment> commentList;
    public List<String> favoriteIds;
    @c(LIZ = "favorite_list")
    public List<Aweme> favorites;
    @c(LIZ = "feed_type")
    public int feedType;
    public 8Y4 lastViewData;
    @c(LIZ = "count")
    public int likeCount;
    @c(LIZ = "like_list")
    public List<User> likeList;
    public boolean mIsMomentStyle;
    public User mRecommendUser;
    @c(LIZ = "recommend_reason")
    public String recommendReason;
    @c(LIZ = "cell_room")
    public RoomFeedCellStruct roomStruct;
    @c(LIZ = "user")
    public List<User> user;

    static {
        Covode.recordClassIndex(80649);
    }

    public boolean needUpdateComment() {
        return true;
    }

    public FollowFeed() {
    }

    public Aweme getAweme() {
        return this.aweme;
    }

    public long getBlockFavoriteTime() {
        return this.blockFavoriteTime;
    }

    public List<String> getFavoriteIds() {
        return this.favoriteIds;
    }

    public List<Aweme> getFavorites() {
        return this.favorites;
    }

    public 8Y4 getLastViewData() {
        return this.lastViewData;
    }

    public int getLikeCount() {
        return this.likeCount;
    }

    public List<User> getLikeList() {
        return this.likeList;
    }

    public String getRecommendReason() {
        return this.recommendReason;
    }

    public User getRecommendUser() {
        return this.mRecommendUser;
    }

    public RoomFeedCellStruct getRoomStruct() {
        return this.roomStruct;
    }

    public List<User> getUser() {
        return this.user;
    }

    public boolean isMomentStyle() {
        return this.mIsMomentStyle;
    }

    public List<Comment> getCommentList() {
        Aweme aweme2;
        if (this.commentList == null || (aweme2 = this.aweme) == null || !aweme2.getAwemeControl().canShowComment()) {
            this.commentList = new ArrayList();
        }
        return this.commentList;
    }

    public int getFeedType() {
        int i = this.feedType;
        if (i == -1) {
            return 65288;
        }
        if (i == 1) {
            return 65280;
        }
        if (i == 2) {
            return 65281;
        }
        if (i != 3) {
            return i;
        }
        return 65298;
    }

    public void setAweme(Aweme aweme2) {
        this.aweme = aweme2;
    }

    public void setBlockFavoriteTime(long j) {
        this.blockFavoriteTime = j;
    }

    public void setFavoriteIds(List<String> list) {
        this.favoriteIds = list;
    }

    public void setFavorites(List<Aweme> list) {
        this.favorites = list;
    }

    public void setFeedType(int i) {
        this.feedType = i;
    }

    public void setIsMomentStyle(boolean z) {
        this.mIsMomentStyle = z;
    }

    public void setLastViewData(8Y4 r1) {
        this.lastViewData = r1;
    }

    public void setLikeCount(int i) {
        this.likeCount = i;
    }

    public void setLikeList(List<User> list) {
        this.likeList = list;
    }

    public void setRecommendReason(String str) {
        this.recommendReason = str;
    }

    public void setRecommendUser(User user2) {
        this.mRecommendUser = user2;
    }

    public void setRoomStruct(RoomFeedCellStruct roomFeedCellStruct) {
        this.roomStruct = roomFeedCellStruct;
    }

    public void setUser(List<User> list) {
        this.user = list;
    }

    public static FollowFeed createLastWatchHistoryItem(8Y4 r2) {
        FollowFeed followFeed = new FollowFeed();
        followFeed.setFeedType(65297);
        followFeed.setLastViewData(r2);
        return followFeed;
    }

    public void setCommentList(List<Comment> list) {
        if (list == null) {
            list = new ArrayList<>();
        }
        this.commentList = list;
    }

    public void setRequestId(String str) {
        super.setRequestId(str);
        Aweme aweme2 = this.aweme;
        if (aweme2 != null) {
            aweme2.setRequestId(str);
        }
    }

    public FollowFeed(Aweme aweme2) {
        this.feedType = 65280;
        this.aweme = aweme2;
        this.commentList = new ArrayList();
    }
}
